> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get call messages/transcription

> Retrieve the paginated transcription messages for a specific call, showing the conversation between the agent and the caller.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/call/{id}/message
openapi: 3.1.0
info:
  title: Diga API
  version: 0.1.0
servers:
  - url: https://api.diga.io
    description: Production
security: []
paths:
  /v1/call/{id}/message:
    get:
      tags:
        - Calls
      summary: Get call messages/transcription
      description: >-
        Retrieve the paginated transcription messages for a specific call,
        showing the conversation between the agent and the caller.
      operationId: get_call_messages_v1_call__id__message_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: ID
            description: The unique identifier for the call
          description: The unique identifier for the call
        - name: after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: After
        - name: before
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Before
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 1
              - type: 'null'
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 100
            title: Limit
        - name: order
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            default: desc
            title: Order
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_MessageResponse_'
        '400':
          description: Bad request - Invalid ID
          content:
            application/json:
              example:
                status: error
                error_code: MISSING_ID
                message: Invalid call ID
              schema:
                $ref: '#/components/schemas/ErrorResponseSchema'
        '401':
          description: Invalid Api Key
          content:
            application/json:
              example:
                status: error
                error_code: INVALID_API_KEY
                message: Invalid or missing API key
              schema:
                $ref: '#/components/schemas/ErrorResponseSchema'
        '403':
          description: Forbidden - Insufficient permissions
          content:
            application/json:
              example:
                status: error
                error_code: INTERNAL_SERVER_ERROR
                message: Missing required permissions to view calls
              schema:
                $ref: '#/components/schemas/ErrorResponseSchema'
        '404':
          description: No Messages For Call
          content:
            application/json:
              example:
                status: error
                error_code: NO_MESSAGES_FOR_CALL
                message: >-
                  No messages found for call
                  550e8400-e29b-41d4-a716-446655440000
              schema:
                $ref: '#/components/schemas/ErrorResponseSchema'
        '422':
          description: Unprocessable entity - Invalid pagination
          content:
            application/json:
              example:
                status: error
                error_code: INVALID_PAGINATION_PARAMETERS
                message: Cannot specify both 'before' and 'after' parameters
              schema:
                $ref: '#/components/schemas/ErrorResponseSchema'
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                status: error
                error_code: INTERNAL_SERVER_ERROR
                message: 'Error: Internal Server Error'
              schema:
                $ref: '#/components/schemas/ErrorResponseSchema'
      security:
        - CustomHTTPBearer: []
components:
  schemas:
    PaginatedResponse_MessageResponse_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/MessageResponse'
          type: array
          title: Data
        first_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: First Id
        last_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Last Id
        has_more:
          type: boolean
          title: Has More
        current_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Current Page
        total_pages:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Pages
      type: object
      required:
        - data
        - has_more
      title: PaginatedResponse[MessageResponse]
    ErrorResponseSchema:
      properties:
        status:
          type: string
          title: Status
          description: Status of the response, always 'error' for error responses
          default: error
        error_code:
          type: string
          title: Error Code
          description: Machine-readable error code in SCREAMING_SNAKE_CASE format
          examples:
            - PROJECT_NOT_FOUND
            - INVALID_EMAIL
            - UNAUTHORIZED_ROLE
        message:
          type: string
          title: Message
          description: Human-readable error message with details
          examples:
            - Project with id 550e8400-e29b-41d4-a716-446655440000 not found
            - The email invalid@email is not valid
            - Insufficient permissions to perform this action
      type: object
      required:
        - error_code
        - message
      title: ErrorResponseSchema
      description: Standard error response format for all API errors.
    MessageResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Message ID
          description: The unique identifier for the message
        created_date:
          type: string
          format: date-time
          title: Created Date
          description: The datetime when the message was created during the call
        role:
          $ref: '#/components/schemas/MessageRole'
          title: Role
          description: >-
            The role associated with the message. It can be `assistant`, `user`
            or `tool`.
        content:
          anyOf:
            - type: string
            - type: 'null'
          title: Content
          description: >-
            The content of the message. That is, the message said by the user or
            the assistant.
        tool_call:
          anyOf:
            - $ref: '#/components/schemas/FunctionSchema'
            - $ref: '#/components/schemas/CallToolSchema'
            - type: 'null'
          title: Tool Call
          description: The tool call information if the message is a tool call.
      type: object
      required:
        - id
        - created_date
        - role
      title: MessageResponse
    MessageRole:
      type: string
      enum:
        - user
        - assistant
        - tool
      title: MessageRole
    FunctionSchema:
      properties:
        function_name:
          type: string
          title: Function Name
          description: The name of the function to call.
        payload:
          additionalProperties: true
          type: object
          title: Payload
          description: The payload to pass to the function during the call.
        status:
          type: string
          enum:
            - error
            - success
            - cancelled
          title: Status
          description: >-
            The status of the function call, which can be `started`, `error`,
            `success` or `cancelled`.
        type:
          type: string
          const: function
          title: Type
          description: The type of the notification, which is `function`.
          default: function
      type: object
      required:
        - function_name
        - payload
        - status
      title: FunctionSchema
    CallToolSchema:
      properties:
        tool_name:
          type: string
          enum:
            - transfer
            - hangup
            - detect_answering_machine
            - add_participant
          title: Tool Name
          description: >-
            The name of the tool to call. It can be `transfer`, `hangup` or
            `detect_answering_machine`.
        payload:
          additionalProperties: true
          type: object
          title: Payload
          description: >-
            Information that has been important during the tool call, such as
            the parameters passed to the tool, the tool results, errors, etc.
        type:
          type: string
          const: call_tool
          title: Type
          description: The type of the notification, which is `call_tool`.
          default: call_tool
        status:
          type: string
          enum:
            - error
            - success
            - cancelled
          title: Status
          description: >-
            The status of the tool call, which can be `started`, `error`,
            `success` or `cancelled`.
      type: object
      required:
        - tool_name
        - payload
        - status
      title: CallToolSchema
  securitySchemes:
    CustomHTTPBearer:
      type: http
      scheme: bearer

````